# ProjectionPickerViewModel

#### new Cesium.ProjectionPickerViewModel(scene)
Widgets/ProjectionPicker/ProjectionPickerViewModel.js 17

The view model for `ProjectionPicker`.

Name | Type | Description
--- | --- | ---
`scene` | Scene | The Scene to switch projections.

### Members

#### dropDownVisible : Boolean
Widgets/ProjectionPicker/ProjectionPickerViewModel.js 33

Gets or sets whether the button drop-down is currently visible. This property is observable.

Default Value: `false`

#### isOrthographicProjection : Command
Widgets/ProjectionPicker/ProjectionPickerViewModel.js 166

Gets whether the scene is currently using an orthographic projection.

#### scene : Scene
Widgets/ProjectionPicker/ProjectionPickerViewModel.js 118

Gets the scene

#### sceneMode : SceneMode
Widgets/ProjectionPicker/ProjectionPickerViewModel.js 59

Gets or sets the current SceneMode. This property is observable.

#### selectedTooltip : String
Widgets/ProjectionPicker/ProjectionPickerViewModel.js 53

Gets the currently active tooltip. This property is observable.

#### switchToOrthographic : Command
Widgets/ProjectionPicker/ProjectionPickerViewModel.js 154

Gets the command to switch to orthographic projection.

#### switchToPerspective : Command
Widgets/ProjectionPicker/ProjectionPickerViewModel.js 142

Gets the command to switch to a perspective projection.

#### toggleDropDown : Command
Widgets/ProjectionPicker/ProjectionPickerViewModel.js 130

Gets the command to toggle the drop down box.

#### tooltipOrthographic : String
Widgets/ProjectionPicker/ProjectionPickerViewModel.js 47

Gets or sets the orthographic projection tooltip. This property is observable.

Default Value: `'Orthographic Projection'`

#### tooltipPerspective : String
Widgets/ProjectionPicker/ProjectionPickerViewModel.js 40

Gets or sets the perspective projection tooltip. This property is observable.

Default Value: `'Perspective Projection'`

### Methods

#### destroy()
Widgets/ProjectionPicker/ProjectionPickerViewModel.js 183

Destroys the view model.

#### isDestroyed() → Boolean
Widgets/ProjectionPicker/ProjectionPickerViewModel.js 176

##### Returns:

true if the object has been destroyed, false otherwise.